## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# some test dependencies are unwanted in RHEL
%if 0%{?rhel}
%bcond_with tests
%else
%bcond_without tests
%endif

Name:           micropipenv
Version:        1.8.1
Release:        %autorelease
Summary:        A simple wrapper around pip to support Pipenv and Poetry files

License:        LGPL-3.0-or-later
URL:            https://github.com/thoth-station/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%py_provides    python3-%{name}

Recommends:     micropipenv+toml

%description
A lightweight wrapper for pip to support Pipenv and Poetry lock files or
converting them to pip-tools compatible output.

%pyproject_extras_subpkg -n %{name} toml

%prep
%autosetup
# Remove shebang line from the module
sed -i '1{\@^#!/usr/bin/env python@d}' %{name}.py

%generate_buildrequires
%pyproject_buildrequires -r %{?with_tests:-t} -x toml

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{name}

%check
%if %{with tests}
# skipped tests requires internet or checks pip version
%pytest -m "not online" -k "not test_check_pip_version and not test_install_invalid_toml_file"
%else
%pyproject_check_import
%endif

%files -f %pyproject_files
%doc README.rst
%{_bindir}/micropipenv

%changelog
## START: Generated by rpmautospec
* Wed Oct 30 2024 Lumir Balhar <lbalhar@redhat.com> - 1.8.1-3
- Remove duplicated tmt plan

* Tue Oct 29 2024 Lumir Balhar <lbalhar@redhat.com> - 1.8.1-2
- Fix CI by fixing test dependencies

* Tue Oct 29 2024 Packit <hello@packit.dev> - 1.8.1-1
- Update to 1.8.1 (rhbz#2322513)

* Thu Aug 01 2024 Packit <hello@packit.dev> - 1.8.0-1
- Update to 1.8.0 (rhbz#2302221)

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Packit <hello@packit.dev> - 1.7.0-1
- Update to 1.7.0 (rhbz#2293607)

* Wed May 29 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.6.0-7
- CI: Run upstream testsuite

* Wed May 29 2024 Tomáš Hrnčiar <thrnciar@redhat.com> - 1.6.0-6
- Merge plans/integration.fmf into plan.fmf

* Wed May 29 2024 Lukas Zachar <lzachar@redhat.com> - 1.6.0-5
- Add smoke test for tmt

* Thu Jan 25 2024 Miro Hrončok <miro@hroncok.cz> - 1.6.0-4
- Remove duplicate rhbz# from future Packit commit messages

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 28 2023 Packit <hello@packit.dev> - 1.6.0-1
- Update to 1.6.0 (rhbz#rhbz#2251885)

* Wed Nov 08 2023 Packit <hello@packit.dev> - 1.5.2-1
- Update to 1.5.2

* Tue Nov 07 2023 Lumir Balhar <lbalhar@redhat.com> - 1.5.1-2
- Add packit config

* Wed Oct 18 2023 Lumir Balhar <lbalhar@redhat.com> - 1.5.1-1
- Update to 1.5.1 (rhbz#2244702)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 09 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.5.0-4
- Rebuilt for Python 3.12

* Fri May 19 2023 Karolina Surma <ksurma@redhat.com> - 1.5.0-3
- Declare License tag in the SPDX format

* Thu May 11 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 1.5.0-2
- Disable tests by default in RHEL builds

* Fri Mar 03 2023 Lumir Balhar <lbalhar@redhat.com> - 1.5.0-1
- Update to 1.5.0 (rhbz#2175133)

* Wed Feb 22 2023 Lumir Balhar <lbalhar@redhat.com> - 1.4.6-1
- Update to 1.4.6 (rhbz#2172646)

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Lumír Balhar <lbalhar@redhat.com> - 1.4.5-1
- Update to 1.4.5 (rhbz#2159707)

* Mon Oct 31 2022 Lumír Balhar <lbalhar@redhat.com> - 1.4.4-1
- Update to 1.4.4
Resolves: rhbz#2138859

* Wed Oct 05 2022 Lumír Balhar <lbalhar@redhat.com> - 1.4.3-1
- Update to 1.4.3
Resolves: rhbz#2131986

* Mon Oct 03 2022 Miro Hrončok <mhroncok@redhat.com> - 1.4.2-2
- Remove manual requirement of python3dist(toml),
  package and Recommend the [toml] extra instead

* Tue Aug 02 2022 Lumír Balhar <lbalhar@redhat.com> - 1.4.2-1
- Update to 1.4.2
Resolves: rhbz#2110900

* Tue Jul 26 2022 Lumír Balhar <lbalhar@redhat.com> - 1.4.1-1
- Update to 1.4.1
Resolves: rhbz#2110900

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 1.3.0-2
- Rebuilt for Python 3.11

* Wed Jun 08 2022 Lumír Balhar <lbalhar@redhat.com> - 1.3.0-1
- Update to 1.3.0
Resolves: rhbz#2083779

* Mon Feb 21 2022 Lumír Balhar <lbalhar@redhat.com> - 1.2.1-1
- Update to 1.2.1
Resolves: rhbz#2056449

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 05 2022 Lumír Balhar <lbalhar@redhat.com> - 1.2.0-1
- Update to 1.2.0

* Mon Oct 25 2021 Lumír Balhar <lbalhar@redhat.com> - 1.1.3-1
- Update to 1.1.3
Resolves: rhbz#2016285

* Wed Oct 06 2021 Lumír Balhar <lbalhar@redhat.com> - 1.1.2-1
- Update to 1.1.2
Resolves: rhbz#2006696

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Jun 21 2021 Lumír Balhar <lbalhar@redhat.com> - 1.1.0-1
- Update to 1.1.0
Resolves: rhbz#1974255

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.0.4-2
- Rebuilt for Python 3.10

* Tue May 04 2021 Lumír Balhar <lbalhar@redhat.com> - 1.0.4-1
- Update to 1.0.4
Resolves: rhbz#1955039

* Fri Mar 12 2021 Karolina SUrma <ksurma@redhat.com> - 1.0.3-1
- Update to 1.0.3
Resolves: rhbz#1937471

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 11 2020 Lumír Balhar <lbalhar@redhat.com> - 1.0.2-1
- Update to 1.0.2 (#1906430)

* Tue Nov 10 2020 Lumír Balhar <lbalhar@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Fri Oct 02 2020 Lumír Balhar <lbalhar@redhat.com> - 1.0.0-1
- Update to 1.0.0 (#1884346)

* Thu Sep 03 2020 Lumír Balhar <lbalhar@redhat.com> - 0.6.0-1
- Update to 0.6.0 (#1875250)

* Thu Jul 30 2020 Lumír Balhar <lbalhar@redhat.com> - 0.5.1-1
- Update to 0.5.1 (#1859995)

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 2020 Lumír Balhar <lbalhar@redhat.com> - 0.4.0-1
- Update to 0.4.0 (#1854424)

* Mon Jun 15 2020 Lumír Balhar <lbalhar@redhat.com> - 0.3.0-1
- Update to 0.3.0 (#1846944)

* Fri Jun 05 2020 Miro Hrončok <mhroncok@redhat.com> - 0.2.0-2
- Correct the license tag (GPLv3+ to LGPLv3+)
- Include the actual LICENSE files in the package

* Thu Jun 04 2020 Lumír Balhar <lbalhar@redhat.com> - 0.2.0-1
- Update to 0.2.0 (#1838278, #1841641)

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.6-2
- Rebuilt for Python 3.9

* Tue May 05 2020 Lumír Balhar <lbalhar@redhat.com> - 0.1.6-1
- Update to 0.1.6 (#1831328)

* Tue Apr 07 2020 Lumír Balhar <lbalhar@redhat.com> - 0.1.5-1
- Update to 0.1.5 (#1821807)

* Thu Mar 12 2020 Lumír Balhar <lbalhar@redhat.com> - 0.1.4-1
- Initial package.

## END: Generated by rpmautospec
